<?php
/*
Plugin Name: ThumbSniper
Plugin URI: http://thumbsniper.com
Description: This plugin dynamically shows preview screenshots of hyperlinks as tooltips on your WordPress site.
Author: Thomas Schulte
Version: 2.0.2
Author URI: http://www.mynakedgirlfriend.de

Copyright (C) 2011 Thomas Schulte

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/


$thumbsniper_basic           = dirname( __FILE__ ) . "/thumbsniper_basic.php";
$thumbsniper_basic_options   = dirname( __FILE__ ) . "/thumbsniper_basic_options.php";
$thumbsniper_basic_functions = dirname( __FILE__ ) . "/thumbsniper_basic_functions.php";

$thumbsniper_premium         = dirname( __FILE__ ) . "/premium/thumbsniper_premium.php";
$thumbsniper_premium_options = dirname( __FILE__ ) . "/premium/thumbsniper_premium_options.php";


if( @file_exists( $thumbsniper_basic_functions ) && is_readable( $thumbsniper_basic_functions ) )
{
	require_once( $thumbsniper_basic_functions );
}


if(	@file_exists( $thumbsniper_basic ) && is_readable( $thumbsniper_basic ) && 
	@file_exists( $thumbsniper_basic_options ) && is_readable( $thumbsniper_basic_options ) )
{
	require_once( $thumbsniper_basic_options );
	require_once( $thumbsniper_basic );

	if(	@file_exists( $thumbsniper_premium ) && is_readable( $thumbsniper_premium ) && 
		@file_exists( $thumbsniper_premium_options ) && is_readable( $thumbsniper_premium_options ) )
	{
		require_once( $thumbsniper_premium_options );
		require_once( $thumbsniper_premium );
		new ThumbSniper_Premium;
	}
	else
	{
		new ThumbSniper;
	} // if-else
} // if

?>
