<?php

function convert_line_breaks( $string, $line_break = PHP_EOL )
{
	$patterns = array( "/(<br>|<br \/>|<br\/>)\s*/i", "/(\r\n|\r|\n)/" );
	$replacements = array( PHP_EOL, $line_break );
	$string = preg_replace( $patterns, $replacements, $string );

	return $string;
}



function thumbsniper_get_current_user_role()
{
	global $wp_roles;
	$current_user = wp_get_current_user();
	$roles = $current_user->roles;
	$role = array_shift( $roles );

	return isset( $wp_roles->role_names[$role] ) ? preg_replace( "/\|User role$/", "", $wp_roles->role_names[$role] ) : false;
}

?>
